import poser
import string
import os
import sys
import aasubrs

scn = poser.Scene()
act = scn.CurrentActor()
fig=act.ItsFigure()
if fig == None:
	print "I am starting at a ",act.Name()
	raise("I need to be on a character, or a prop owned by a character")
else:
	print "I am starting at ",fig.Name(),"'s ",act.Name()
fig=aasubrs.findman(act); 
if fig==None:
	raise("I can't find a character with a head")

acts = fig.Actors()
chest = aasubrs.findactor(fig,"chest")
rhand = aasubrs.findactor(fig,"rHand")
lhand = aasubrs.findactor(fig,"lHand")
if (chest==None) or (rhand==None) or (lhand==None):
	raise("I need to be pointing at a man: I can't find his chest or his hands")
file="\\Runtime\\Libraries\\character\\Equipment\\Flamethrowers\\flprtogmk3.cr2" ##############################
if not aasubrs.fileexists(file):
	raise "I can't find gun file ",file

gun=aasubrs.loadfigure(file)
gunrseg=gun.ActorByInternalName("gun")
gunbody=gun.ActorByInternalName("BODY")
gunbody.SetParent(chest,0,0); aasubrs.posea(gunbody,0.1855,70.0098,-30.3418,-0.0069,-0.0030,-0.0140)
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
guncenter=gunbody.Origin()
guncenter4=(guncenter[0],guncenter[1],guncenter[2],1.0)
#print guncenter4
gunwmat=gunbody.WorldMatrix()
gunwmatinv=aasubrs.matinvert4(gunwmat)
gunorigin=aasubrs.vecmatmult4(guncenter4,gunwmatinv)
#print gunorigin
guncenter2=aasubrs.vecmatmult4(gunorigin,gunwmat)
#print guncenter2

scn.SelectActor(chest)
aasubrs.armsIKoff(fig);
aasubrs.pose(fig,"rCollar",0,0,0,0,0,0)
aasubrs.pose(fig,"rShldr",-0.002668,0.000391,79.996498,0,0,0)
aasubrs.pose(fig,"rForeArm",0.019477,0.000869,-0.001177,0,0,0)
aasubrs.pose(fig,"rCuff",0,-37,0,0,0,0)
aasubrs.pose(fig,"rHand",0,0,0,0,0,0)
aasubrs.pose(fig,"rThumb1",0,0,0.2450,0,0,0)
aasubrs.pose(fig,"rThumb2",0,0,-0.0279,0,0,0)
aasubrs.pose(fig,"rThumb3",0,0,0.0535,0,0,0)
aasubrs.pose(fig,"rIndex1",0,0,51.4491,0,0,0)
aasubrs.pose(fig,"rIndex2",0,0,58.5946,0,0,0)
aasubrs.pose(fig,"rIndex3",0,0,29.4941,0,0,0)
aasubrs.pose(fig,"rMid1",0,0,49.3952,0,0,0)
aasubrs.pose(fig,"rMid2",0,0,48.2122,0,0,0)
aasubrs.pose(fig,"rMid3",0,0,29.4353,0,0,0)
aasubrs.pose(fig,"rRing1",0,0,44.3322,0,0,0)
aasubrs.pose(fig,"rRing2",0,0,29.1993,0,0,0)
aasubrs.pose(fig,"rRing3",0,0,29.4910,0,0,0)
aasubrs.pose(fig,"rPinky1",0,0,28.5438,0,0,0)
aasubrs.pose(fig,"rPinky2",0,0,29.2406,0,0,0)
aasubrs.pose(fig,"rPinky3",0,0,38.7423,0,0,0)
aasubrs.pose(fig,"lCollar",0,0,0,0,0,0)
aasubrs.pose(fig,"lShldr",8.175410,-21.521200,-55.585899,0,0,0)
aasubrs.pose(fig,"lForeArm",0.009029,-97.462898,0.414976,0,0,0)
aasubrs.pose(fig,"lCuff",0,21,-43,0,0,0)
aasubrs.pose(fig,"lHand",0,0,0,0,0,0)
aasubrs.pose(fig,"lThumb1",0,0,-0.2450,0,0,0)
aasubrs.pose(fig,"lThumb2",0,0,0.0279,0,0,0)
aasubrs.pose(fig,"lThumb3",0,0,-0.0535,0,0,0)
aasubrs.pose(fig,"lIndex1",0,0,-48.9491,0,0,0)
aasubrs.pose(fig,"lIndex2",0,0,-54.5946,0,0,0)
aasubrs.pose(fig,"lIndex3",0,0,-54.4941,0,0,0)
aasubrs.pose(fig,"lMid1",0,0,-48.8952,0,0,0)
aasubrs.pose(fig,"lMid2",0,0,-54.2122,0,0,0)
aasubrs.pose(fig,"lMid3",0,0,-54.4353,0,0,0)
aasubrs.pose(fig,"lRing1",0,0,-48.8322,0,0,0)
aasubrs.pose(fig,"lRing2",0,0,-54.1993,0,0,0)
aasubrs.pose(fig,"lRing3",0,0,-54.4910,0,0,0)
aasubrs.pose(fig,"lPinky1",0,0,-49.0438,0,0,0)
aasubrs.pose(fig,"lPinky2",0,0,-54.2406,0,0,0)
aasubrs.pose(fig,"lPinky3",0,0,-54.7423,0,0,0)
aasubrs.armsIKon(fig); rhand.SetParent(gunrseg); lhand.SetParent(gunrseg)
aasubrs.pose(fig,"rHand",13.9730,44.1581,90,0.2866,-0.1471,0.0161)
aasubrs.pose(fig,"lHand",89.6126,-27.0237,-89.6120,-0.2947,-0.0957,0.2033)
aasubrs.correctforchar(fig)
print fig.Name()," is now firing an flprtogmk3 flamegun"
poser.ProcessCommand(1559)
#scn.DrawAll();
