import poser
import string
import os
import sys
import aasubrs

scn = poser.Scene()
act = scn.CurrentActor()
fig=act.ItsFigure()
if fig == None:
	print "I am starting at a ",act.Name()
	raise("I need to be on a character, or a prop owned by a character")
else:
	print "I am starting at ",fig.Name(),"'s ",act.Name()
fig=aasubrs.findman(act); 
if fig==None:
	raise("I can't find a character with a head")

acts = fig.Actors()
chest = aasubrs.findactor(fig,"chest")	
rhand = aasubrs.findactor(fig,"rHand")
lhand = aasubrs.findactor(fig,"lHand")
if (chest==None) or (rhand==None) or (lhand==None):
	raise("I need to be pointing at a man: I can't find his chest or his hands")
file="\\Runtime\\Libraries\\character\\Guns\\nailgun3.cr2" ##############################
if not aasubrs.fileexists(file):
	raise "I can't find gun file ",file
	
gun=aasubrs.loadfigure(file)

acs=gun.Actors()
for ac in acs: print "/",ac.InternalName(),"/"

gunrseg=gun.ActorByInternalName("gun")
gunbody=gun.ActorByInternalName("BODY")
gunbody.SetParent(chest,0,0); aasubrs.posea(gunbody,0,0,0,0,0,0)

scn.SelectActor(chest)
aasubrs.armsIKoff(fig); 
aasubrs.pose(fig,"chest",0,0,0,0,0,0)
aasubrs.pose(fig,"neck",0,0,0,0,0,0)
aasubrs.pose(fig,"rCollar",0,0,0,0,0,0)
aasubrs.pose(fig,"rShldr",21.9378,48.4446,40.5792,0,0,0)
aasubrs.pose(fig,"rForeArm",-114.0940,124.2040,4.4013,999,999,999)
aasubrs.pose(fig,"rCuff",-0.0637,-20.6862,-48.8662,0,0,0)
aasubrs.pose(fig,"rHand",117.1579,42.4346,-77.5619,0,0,0)
aasubrs.pose(fig,"rThumb1",0,-15,3,0,0,0)
aasubrs.pose(fig,"rThumb2",0,9,23,0,0,0)
aasubrs.pose(fig,"rThumb3",0,-26,0,0,0,0)
aasubrs.pose(fig,"rIndex1",0,6,50.6400,0,0,0)
aasubrs.pose(fig,"rIndex2",0,0,13,0,0,0)
aasubrs.pose(fig,"rIndex3",0,0,68,0,0,0)
aasubrs.pose(fig,"rMid1",0,0,22.6400,0,0,0)
aasubrs.pose(fig,"rMid2",0,0,36.6000,0,0,0)
aasubrs.pose(fig,"rMid3",0,0,26,0,0,0)
aasubrs.pose(fig,"rRing1",0,0,22.6400,0,0,0)
aasubrs.pose(fig,"rRing2",0,0,25.6000,0,0,0)
aasubrs.pose(fig,"rRing3",0,0,26,0,0,0)
aasubrs.pose(fig,"rPinky1",0,0,6.6400,0,0,0)
aasubrs.pose(fig,"rPinky2",0,0,35.6000,0,0,0)
aasubrs.pose(fig,"rPinky3",0,0,26,0,0,0)
aasubrs.pose(fig,"lCollar",0,-26,0,0,0,0)
aasubrs.pose(fig,"lShldr",-15.1290,-55.9122,-63.4835,0,0,0)
aasubrs.pose(fig,"lForeArm",-53.7227,-61.9026,-0.4404,999,999,999)
aasubrs.pose(fig,"lCuff",0,23,48,0,0,0)
aasubrs.pose(fig,"lHand",131.5295,-1.8674,34.9400,0,0,0)
aasubrs.pose(fig,"lThumb1",0,-6.8431,-1.8233,0,0,0)
aasubrs.pose(fig,"lThumb2",0,-23,1,0,0,0)
aasubrs.pose(fig,"lThumb3",-0.5539,50.8920,16.1048,0,0,0)
aasubrs.pose(fig,"lIndex1",-5.7865,0.0486,-55.1757,0,0,0)
aasubrs.pose(fig,"lIndex2",0.0291,-0.0010,-40.0738,0,0,0)
aasubrs.pose(fig,"lIndex3",0,0,0.0558,0,0,0)
aasubrs.pose(fig,"lMid1",0,-0.1000,-60.2200,0,0,0)
aasubrs.pose(fig,"lMid2",0,0,-19.6000,0,0,0)
aasubrs.pose(fig,"lMid3",-0.3340,0.6940,19.5307,0,0,0)
aasubrs.pose(fig,"lRing1",0,0.1000,-60.2200,0,0,0)
aasubrs.pose(fig,"lRing2",-0.0206,-0.0001,-7.2497,0,0,0)
aasubrs.pose(fig,"lRing3",0,0,4.0343,0,0,0)
aasubrs.pose(fig,"lPinky1",0,-0.4000,-40.2200,0,0,0)
aasubrs.pose(fig,"lPinky2",-0.0472,0.1486,-21.9205,0,0,0)
aasubrs.pose(fig,"lPinky3",0.1763,-0.0003,-8.9442,0,0,0)
aasubrs.armsIKon(fig); rhand.SetParent(gunrseg); lhand.SetParent(gunrseg)
aasubrs.pose(fig,"rHand",216.672,80.6982,-142.4800,0.2520,-0.0062,0.0856)
aasubrs.pose(fig,"lHand",111.0710,-97.5835,-115.1700,-0.2536,-0.0023,0.1929)


aasubrs.correctforchar(fig,3)
print fig.Name()," is now firing a nailgun"
poser.ProcessCommand(1559)
#scn.DrawAll();
	